diff --git a/docs.json b/docs.json index 878bd24f..72fac19e 100644 --- a/docs.json +++ b/docs.json @@ -400,7 +400,7 @@ "items": [ { "label": "API Status", - "href": "https://api-status.deepl.com" + "href": "https://www.deeplstatus.com/?tab=api" }, { "label": "DeepL Status", diff --git a/docs/best-practices/error-handling.mdx b/docs/best-practices/error-handling.mdx index 33c544e6..4094a770 100644 --- a/docs/best-practices/error-handling.mdx +++ b/docs/best-practices/error-handling.mdx @@ -10,7 +10,7 @@ Errors are indicated by [standard HTTP status codes](https://developer.mozilla.o * **HTTP 456: quota exceeded** **If you're a Free API user**, you'll receive this error when the monthly 500,000 character limit of your subscription has been reached. You can consider [upgrading your subscription](https://www.deepl.com/pro) if you need more character volume. **If you're a Pro API user**, you'll receive this error when your [Cost Control](/docs/best-practices/cost-control) limit has been reached, and you can increase or remove your Cost Control limit if you need to continue translating. You can also use the [usage endpoint](/api-reference/usage-and-quota/check-usage-and-limits) to find out your currently used and available quota. -* **HTTP 500: internal server error** This is an error you'll receive if there are temporary errors in DeepL Services. Your application should be configured to resend the requests after some delay. Specifically, we recommend implementing retries with exponential backoff. This is implemented in all of the official, DeepL-supported [client libraries](/docs/getting-started/client-libraries). You can check the [API Status Page](https://api-status.deepl.com) for current service availability and incident information. +* **HTTP 500: internal server error** This is an error you'll receive if there are temporary errors in DeepL Services. Your application should be configured to resend the requests after some delay. Specifically, we recommend implementing retries with exponential backoff. This is implemented in all of the official, DeepL-supported [client libraries](/docs/getting-started/client-libraries). You can check the [API Status Page](https://www.deeplstatus.com/?tab=api) for current service availability and incident information. The service dynamically adjusts to the load on the system. Please wait to stop receiving errors to send more requests again. As the service adapts, you will be able to send increasingly more requests within a given amount of time without encountering errors. diff --git a/docs/getting-started/quickstart.mdx b/docs/getting-started/quickstart.mdx index b404096f..0c90453d 100644 --- a/docs/getting-started/quickstart.mdx +++ b/docs/getting-started/quickstart.mdx @@ -263,7 +263,7 @@ New user? Follow these quick steps to get started with the DeepL API. Discord Community - + API Status Page diff --git a/docs/resources/api-status-page.mdx b/docs/resources/api-status-page.mdx index bfe41bcb..a12d1a1d 100644 --- a/docs/resources/api-status-page.mdx +++ b/docs/resources/api-status-page.mdx @@ -3,7 +3,7 @@ title: "API Status Page" description: "Monitor the operational status and availability of the DeepL API" --- -The [DeepL API Status Page](https://api-status.deepl.com) provides real-time information about the operational status of the DeepL API. +The [DeepL Status Page](https://www.deeplstatus.com) provides a real-time, [API-specific view](https://www.deeplstatus.com/?tab=api) of the operational status of the DeepL API. The same page also covers DeepL's other services, along with incident reports and upcoming maintenance. ## What you can check @@ -18,7 +18,7 @@ The [DeepL API Status Page](https://api-status.deepl.com) provides real-time inf - If you're experiencing elevated latency or timeouts - Before investigating issues in your own integration — confirm the API is operational first - + Go to the API Status Page diff --git a/docs/resources/roadmap-and-release-notes.mdx b/docs/resources/roadmap-and-release-notes.mdx index 90e1b00e..c0e6292e 100644 --- a/docs/resources/roadmap-and-release-notes.mdx +++ b/docs/resources/roadmap-and-release-notes.mdx @@ -10,6 +10,9 @@ rss: true +## July 16 - Combined Status Page +- DeepL now publishes a single [status page](https://www.deeplstatus.com) covering all services, with a dedicated [API view](https://www.deeplstatus.com/?tab=api) for real-time API status and incidents. + ## July 7 - New Document Formats and Higher File Size Limits - [`POST /v2/document`](/api-reference/document/upload-and-translate-a-document) now supports five additional file formats: `idml` (Adobe InDesign), `xml`, `json`, `dita` (DITA topics), and `mif` (Adobe FrameMaker). - XLIFF support has been expanded to versions 1.2, 2.0, and 2.1 (previously 2.1 only). @@ -78,7 +81,7 @@ rss: true - See the [Docs MCP Server](/docs/getting-started/docs-mcp-server) page for setup instructions. ## June 1 - API Status Page -- Launched the [DeepL API Status Page](https://api-status.deepl.com), a dedicated dashboard for monitoring the operational status and availability of the DeepL API. +- Launched the [DeepL API Status Page](https://www.deeplstatus.com/?tab=api), a dedicated dashboard for monitoring the operational status and availability of the DeepL API. - View real-time status and 90-day availability for all API services across all supported regions. - Supports both Pro and Free API tiers. - Available in 19 languages.